#! /bin/sh
#
# skeleton	example file to build /etc/init.d/ scripts.
#		This file should be used to construct scripts for /etc/init.d.
#
#		Written by Miquel van Smoorenburg <miquels@cistron.nl>.
#		Modified for Debian GNU/Linux
#		by Ian Murdock <imurdock@gnu.ai.mit.edu>.
#
# Version:	@(#)skeleton  1.9.1  08-Apr-2002  miquels@cistron.nl
#

PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/etc/enforcer/helper
NAME=enforcer-helper
DESC="The Enforcer's helper program"

test -x $DAEMON || exit 0

set -e

case "$1" in
  start)
		 echo -n "Starting $DESC: $NAME"
		 $DAEMON start
		 echo "."
		 ;;
  stop)
		echo -n "Stopping $DESC: $NAME "
		$DAEMON stop
		echo "."
		;;
  force-stop)
			  echo -n "Stopping $DESC: $NAME "
			  $DAEMON force-stop
			  echo "."
			  ;;
  *)
	 N=/etc/init.d/$NAME
	 echo "Usage: $N {start|stop|force-stop}" >&2
	 exit 1
	 ;;
esac

exit 0
