/* $Id: enforcer_common.h,v 1.2 2003/11/11 21:14:13 omen Exp $
 *
 * This is part of the Linux Enforcer Security Module
 *
 * Written and maintained by Omen Wild <Omen.Wild@Dartmouth.EDU>.
 * Feel free to email with questions or concerns.
 *
 * Copyright (C) 2003 Trustees of Dartmouth College
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 */

#ifndef __ENFORCER_COMMON_H
#define __ENFORCER_COMMON_H

#define ENFORCER_FILE_BASE "/etc/enforcer"
#define ENFORCER_DATABASE_NAME  ENFORCER_FILE_BASE "/enforcer.db"
#define ENFORCER_SIGNATURE_FILE ENFORCER_FILE_BASE "/enforcer.sig"
#define ENFORCER_PUBLIC_KEY_FILE ENFORCER_FILE_BASE "/key.pub"

#define ENFORCER_HELPER_CONFIG_FILE ENFORCER_FILE_BASE "/helper.conf"

#ifdef CONFIG_ENFORCER_TCPA
#include "tpm/linux/tpm.h"

#define ENFORCER_PUBLIC_KEY_PCR 10

#define ENFORCER_TCPA_BLOB_FILE ENFORCER_FILE_BASE "/tcpa.blob"
#define ENFORCER_TCPA_PASSWORD_FILE ENFORCER_FILE_BASE "/tcpa.pw"

#define ENFORCER_TCPA_COMMAND ENFORCER_FILE_BASE "/helper"
#endif

#endif /* __ENFORCER_COMMON_H */
